Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023023
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-02-11 11:012013-02-20 04:49
ReportermalsasuaView Statuspublic 
Assigned ToAugustoMauch 
PriorityhighResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revisionfe46ee66e77a
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toshankarb
Web browserGoogle Chrome
ModulesCore
Regression levelQA functional test
Regression date2013-01-10
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/22e7a5c9fbda [^]
Triggers an Emergency PackNo
Summary

0023023: Error to insert an USER calling to web service

Descriptionif you try insert an user calling to the WS
http://servername:8080/openbravo/ws/dal/ADUser [^]
error is returned:
org.openbravo.service.web.InvalidContentException: Exception when parsing entity ADUser (null):id to load is required for loading
Exception when parsing entity ADUser (null):id to load is required for loading
Caused by: Exception when parsing entity ADUser (null):id to load is required for loading
Exception when parsing entity ADUser (null):id to load is required for loading

Steps To Reproduce. call to WS http://servername:8080/openbravo/ws/dal/ADUser [^] (method POST) using the xml attached (sampeCallWS.txt)
Proposed Solution. diff attached
TagsNo tags attached.
Attached Filestxt file icon sampeCallWS.txt [^] (406 bytes) 2013-02-11 11:01 [Show Content]
diff file icon diffCallWS.diff [^] (409 bytes) 2013-02-11 11:02 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056336)
AugustoMauch (developer)
2013-02-11 15:26

Test plan:

Check that it is possible to add a new user using the Openbravo REST webservices. To do that, you can install the Chrome Poster extension, and configure it this way:
URL: http://youropenbravodomain/ws/dal/ADUser [^]
Content body:
<?xml version="1.0" encoding="UTF-8"?>
<ob:Openbravo xmlns:ob="http://www.openbravo.com"> [^]
<ADUser>
<active>true</active>
<firstName>xxxName User</firstName>
<lastName>xxxLastName User</lastName>
<email>xxxmail@user.com</email>
<phone>xxx123456</phone>
<position>xxxConsultan</position>
<businessPartner id="2C4C71BC828B47A0AF2A79855FD3BA7A" />
<name>xxxName User Last Name</name>
</ADUser>
</ob:Openbravo>

After filling this fields, click on the POST button and the new user should be added to the AD_USER table.
(0056337)
hgbot (developer)
2013-02-11 15:27

Repository: erp/devel/pi
Changeset: fe46ee66e77ade9de62d8c7118af74ec8c5a3bd9
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Feb 11 15:23:11 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/fe46ee66e77ade9de62d8c7118af74ec8c5a3bd9 [^]

Fixes issue 23023: NPE no longer thrown when using REST webservices to add rows

In the resolve function of the EntityResolver class, OBDal.getInstance().get(entityName, id) was being executed without checking if the id was null.

---
M src/org/openbravo/dal/xml/EntityResolver.java
---
(0056354)
shankarb (developer)
2013-02-12 04:46

Code Reviewed and verified in pi changeset fda0bc8e8d80.
(0056562)
hudsonbot (developer)
2013-02-20 04:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d828167a9e83 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-02-11 11:01 malsasua New Issue
2013-02-11 11:01 malsasua Assigned To => AugustoMauch
2013-02-11 11:01 malsasua File Added: sampeCallWS.txt
2013-02-11 11:01 malsasua Web browser => Google Chrome
2013-02-11 11:01 malsasua Modules => Core
2013-02-11 11:01 malsasua Triggers an Emergency Pack => No
2013-02-11 11:02 malsasua File Added: diffCallWS.diff
2013-02-11 11:23 AugustoMauch Web browser Google Chrome => Google Chrome
2013-02-11 11:23 AugustoMauch Regression level => QA functional test
2013-02-11 11:23 AugustoMauch Regression date => 2013-01-10
2013-02-11 11:23 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/22e7a5c9fbda [^]
2013-02-11 15:23 AugustoMauch Issue Monitored: shankarb
2013-02-11 15:23 AugustoMauch Review Assigned To => shankarb
2013-02-11 15:23 AugustoMauch Web browser Google Chrome => Google Chrome
2013-02-11 15:26 AugustoMauch Note Added: 0056336
2013-02-11 15:27 hgbot Checkin
2013-02-11 15:27 hgbot Note Added: 0056337
2013-02-11 15:27 hgbot Status new => resolved
2013-02-11 15:27 hgbot Resolution open => fixed
2013-02-11 15:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fe46ee66e77ade9de62d8c7118af74ec8c5a3bd9 [^]
2013-02-12 04:46 shankarb Note Added: 0056354
2013-02-12 04:46 shankarb Status resolved => closed
2013-02-12 04:46 shankarb Fixed in Version => 3.0MP20
2013-02-20 04:49 hudsonbot Checkin
2013-02-20 04:49 hudsonbot Note Added: 0056562


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker